Gradle issues in project collection



  • When collecting the project, I get

    Error:Cause: https://downloads.gradle.org/distributions/gradle-2.1.2-all.zip
    

    build.gradle

        buildscript {
            repositories {
                jcenter()
            }
            dependencies {
                classpath 'com.android.tools.build:gradle:2.1.2'
                classpath 'com.google.gms:google-services:3.0.0'
                classpath "io.realm:realm-gradle-plugin:1.1.0"
    
            // NOTE: Do not place your application dependencies here; they belong
            // in the individual module build.gradle files
        }
    

    }

    allprojects {
    repositories {
    jcenter()
    }
    }

    task clean(type: Delete) {
    delete rootProject.buildDir
    }



  • If gradlewrapper'a is used to collect the project, the gradle version is filed in the file. gradle-wrapper.properties by parameter distributionUrl

    By pointing it out. https\://services.gradle.org/distributions/gradle-2.1.2-all.zip You've identified the version. gradle like, 2.1.2♪ But there's probably no version of this, so there's a report reporting an error in downloading the gradle version. The most relevant version can be found on the website. https://gradle.org/




Suggested Topics

  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2